#
# spec file for package python-cogapp
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-cogapp
Version:        2.5.1
Release:        lp151.2.2
Summary:        A code generator for executing Python snippets in source files
License:        MIT
Group:          Development/Languages/Python
Url:            http://nedbatchelder.com/code/cog
Source:         https://files.pythonhosted.org/packages/source/c/cogapp/cogapp-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
%if %{with test}
BuildRequires:  %{python_module nose}
%endif
BuildRequires:  python-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires(post):   update-alternatives
Requires(preun):  update-alternatives

%python_subpackages

%description
Cog is a file generation tool. It lets you use pieces of Python code
as generators in your source files to generate whatever text you
need.

%prep
%setup -q -n cogapp-%{version}

%build
%python_build

%install
%python_install
mv %{buildroot}%{_bindir}/cog.py %{buildroot}%{_bindir}/cog
%python_clone -a %{buildroot}%{_bindir}/cog

%if %{with test}
%check
%python_expand nosetests-%{$python_bin_suffix}
%endif

%post
%python_install_alternative cog

%preun
%python_uninstall_alternative cog

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt
%python_alternative %{_bindir}/cog
%{python_sitelib}/*

%changelog
* Fri Apr 14 2017 toddrme2178@gmail.com
- Initial version
